:root {
    /* Color principal */
    --color-principal: #951FFD;
    --color-secundario: #ebeef1;
    --color-error:  #ff6868;
    --white:#fff;
    --color-hook:rgb(128, 233, 255);
    --color-exito:  #28a745; /* Color de éxito */
    --color-advertencia:  #ffc107; /* Color de advertencia */
    --color-btnPrimary:#99c7ff;
    /* Tonos más suaves */
    --color-suave-1: #B94CF8;
    --color-suave-2: #C574FF;
    --color-suave-3: #D29EFF;
    --color-suave-4: #E0B7FF;
    --color-suave-5: #f4ebfa;

    /* Tonos más oscuros */
    --color-oscuro-1: #7B00B6;
    --color-oscuro-2: #69008E;
    --color-oscuro-3: #5C0077;
    --color-oscuro-4: #50005F;
    --color-oscuro-5: #1d011f;
    --border-radius:1rem;
}


/* Estilos para el body */
body {
    font-family: 'Baloo 2';
    margin: 0;
    padding: 0;
    /* height: 100vh; */
    display: flex;
    justify-content: center; /* Centrar contenido horizontalmente */
    background: linear-gradient(-19deg, var(--white) 53%, var(--color-secundario) 38%);
    opacity: 0;
    transition: opacity 0.5s ease-in;
    background-repeat: no-repeat;
}

body.loaded {
    opacity: 1;
}
/* input {
    background-color: var(--color-secundario)!important;
} */
/* Estilos para el container */
.container {
    /* width: 80rem; */
    margin-top:3rem;
    background-color:transparent; /* Fondo semi-transparente */
    padding: 20px;
    border-radius: var(--border-radius); /* Borde redondeado */
    /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);  */
    /* margin: 2rem; */
    z-index: 1;
}


.login_ {
    padding: 1rem 2rem ;
    border-radius:  var(--border-radius);
    background: rgba(255, 255, 255, 0.15); /* Fondo semitransparente */
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1); /* Sombra suave */
    backdrop-filter: blur(10px); /* Efecto de desenfoque */
    -webkit-backdrop-filter: blur(10px); /* Efecto de desenfoque para Safari */
    border: 1px solid rgba(255, 255, 255, 0.3); /* Borde semi-transparente */
}

.form_{
    background: #f8f9fa;
    border-radius:  var(--border-radius);
    /* height: 100vh; */
}
.img-fluid{
    max-width:80%!important;
    margin-left: 2rem;
    filter: drop-shadow(2px 4px 6px black);
}

/* Estilos para el formulario */
#empadronamientoForm {
    width: 100%; /* Ancho completo */
}

/* Otros estilos según sea necesario */
.btn-send {
    background-color: var(--color-principal);
    color: var(--white);
    font-weight: bold;
    /* width: 10rem; */
}

.form-label{
    font-weight: bold!important;
}
.diagonal{
    height: 400px;
    top: -21rem;
    left: -36rem;
    right: 1rem;
    background: var(--color-principal);
    transform: rotate(-19deg);
    position: absolute;
}
.diagonal2{
    height: 40px;
    top: -2rem;
    left: -10rem;
    right: 1rem;
    background: var(--color-hook);
    transform: rotate(-19deg);
    position: absolute;
}
@media (max-width: 600px) {
    body {
        height: 170vh;
    }
    .beneficios{
        display: none;
    }
    .login_ {
        padding-top: 1rem;
    }
    
}


.navbar-toggler {
    border-color: rgba(255, 255, 255, 0.5);
    margin-right: 1rem;
}


/* Botones blancos en móviles si el fondo es oscuro */
.navbar-nav .btn {
    color: white;
}

.navbar-nav .btn:hover {
    background-color: rgba(255, 255, 255, 0.1);
}

h1 {
    font-size: 2.5rem;
    color: var(--color-oscuro-5);
    margin-bottom: 1rem;
}

p {
    font-size: 1.2rem;
    color: var(--color-principal);
    margin-bottom: 2rem;
}



.highlight-title {
    font-size: 2em;
    font-weight: bold;
    color: var(--color-principal);
    text-align: center;
    margin-bottom: 20px;
}
.info-section {
    background-color: #f8f9fa;
    padding: 20px;
    border-radius: 10px;
    margin-bottom: 15px;
    /* height: 100vh; */
}
.info-section h2 {
    color: var(--color-principal);
}
.info-section p {
    font-size: 1.1em;
}


.benefit-box {
    display: flex;
    /* align-items: center; */
    border: 1px solid #ddd;
    padding: 10px;
    margin-bottom: 1rem;
    /* background-color: #f9f9f9; */
    background: var(--color-hook);
    border-radius:  var(--border-radius);
    align-items: center;
    color: var(--color-oscuro-5);
}

 
.benefit-box img {
    width: 50px;
    height: 50px;
    margin-right: 10px;
}
.info-section h2 {
    margin-bottom: 20px;
}
/* @media (max-width: 768px) {
    .row {
        flex-direction: column-reverse;
    }
} */

@keyframes shake {
    0%, 100% {
        transform: translateX(0);
    }
    10%, 30%, 50%, 70%, 90% {
        transform: translateX(-2px);
    }
    20%, 40%, 60%, 80% {
        transform: translateX(2px);
    }
}


  .shake {
    color:var(--color-error)!important;  
    border:none!important;
    box-shadow:none!important;
    font-weight: bold;
    animation: shake 0.5s ease-in-out infinite;
  }


  .btn-outline-custom {
    color: var(--color-principal);
    border-color: var(--color-principal);
    margin-right: 1rem;
}

.btn-outline-custom:hover {
    color: #fff;
    background-color: var(--color-principal);
    border-color: var(--color-principal);
}

.btn-outline-custom:focus, .btn-outline-custom.focus {
    box-shadow: 0 0 0 0.2rem rgba(255, 104, 104, 0.5); /* Ajusta el color de la sombra */
}

.btn-outline-custom.disabled, .btn-outline-custom:disabled {
    color: var(--color-principal);
    background-color: transparent;
}

.btn-outline-custom:not(:disabled):not(.disabled):active, .btn-outline-custom:not(:disabled):not(.disabled).active,
.show > .btn-outline-custom.dropdown-toggle {
    color: #fff;
    background-color: var(--color-principal);
    border-color: var(--color-principal);
}

.btn-outline-custom:not(:disabled):not(.disabled):active:focus, .btn-outline-custom:not(:disabled):not(.disabled).active:focus,
.show > .btn-outline-custom.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(255, 104, 104, 0.5); /* Ajusta el color de la sombra */
}


/* seccion login */
.highlight-title {
    margin-bottom: 1rem;
}
.info-section {
    margin-bottom: 2rem;
}

.form-container {
    display: flex;
    align-items: center;
    justify-content: center;
    /* min-height: 100vh; */
}
.login-message {
    max-width: 300px;
    margin-right: 2rem;
}
.login-image {
    max-width: 300px;
    margin-right: 2rem;
}
.login-form {
    max-width: 400px;
}


/*transiction login*/

.login-container {
    position: relative;
}



.alert-info,
.alert-danger {
    opacity: 0; /* Opacidad inicial */
    transition: opacity 1s ease-in-out; /* Transición suave de opacidad */
    padding: 1rem;
    border-radius: var(--border-radius);
}

.image-container {
    text-align: center;
    margin-top: 2rem;
}

.image-container img {
    max-width: 100% !important;
    margin-top: 2rem;
    filter: drop-shadow(2px 4px 6px black);
    animation: elevate 2s ease-out forwards;
}

.image-container p {
    text-align: center;
    font-style: italic;
    margin-top: 1rem;
    font-weight: bold;
}

@keyframes elevate {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-20px);
    }
    100% {
        transform: translateY(0);
    }
}


.section-title {
    margin: 30px 0;
    text-align: center;
    font-size: 2rem;
    font-weight: bold;
}
.tramite-item {
    margin: 15px 0;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius:  var(--border-radius);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    background-color: #f8f9fa;
    transition: background-color 0.3s;
    min-height: 220px;
}
.tramite-item:hover {
    background-color: white;
}
.tramite-title {
    font-size: 1.5rem;
    font-weight: bold;
}
.tramite-status {
    font-weight: bold;
    color: #007bff;
}


.tramite-actual {
    margin: 15px 0;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius:  var(--border-radius);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    background-color: #f8f9fa;
    transition: background-color 0.3s;
    min-height: 150px;
}
.tramite-actual:hover {
    background-color: white;
}

.searchbar {
    font-size: 14px;
    color: var(--color-oscuro-5);
    display: flex;
    z-index: 3;
    height: 44px;
    background: white;
    border: 1px solid #dfe1e5;
    box-shadow: none;
    border-radius: var(--border-radius);
    margin: 0 auto;
    width: auto;
    margin-bottom: 1rem;
    /* max-width: 224px; */
}

.searchbar:hover {
    box-shadow: 0 1px 6px rgb(32 33 36 / 28%);
    border-color: rgba(223,225,229,0);
}

.searchbar-wrapper {
    flex: 1;
    display: flex;
    /* padding: 5px 8px 0 14px; */
}

.searchbar-left {
    font-size: 14px;
    font-family: arial, sans-serif;
    color: var(--color-oscuro-5);
    display: flex;
    align-items: center;
    padding-right: 13px;
    margin-top: -5px;
}

.search-icon-wrapper {
    margin: auto;
}

.search-icon {
    margin-top: 3px;
    color: #9aa0a6;
    height: 20px;
    line-height: 20px;
    width: 20px;
}

.searchbar-icon {
    display: inline-block;
    fill: currentColor;
    height: 24px;
    line-height: 24px;
    position: relative;
    width: 24px;
}

.searchbar-center {
    display: flex;
    flex: 1;
    flex-wrap: wrap;
}

.searchbar-input-spacer {
    color: transparent;
    flex: 100%;
    white-space: pre;
    height: 34px;
    font-size: 16px;
}

.searchbar-input {
    background-color: transparent;
    border: none;
    margin: 0;
    padding: 0;
    color: rgba(0, 0, 0, .87);
    word-wrap: break-word;
    outline: none;
    display: flex;
    flex: 100%;
    margin-top: -37px;
    height: 34px;
    font-size: 16px;
    max-width: 100%;
    width: 100%;
}

.searchbar-right {
    display: flex;
    flex: 0 0 auto;
    align-items: stretch;
    flex-direction: row
}

.searchbar-clear-icon {
    margin-right: 12px
}

.voice-search {
    flex: 1 0 auto;
    display: flex;
    cursor: pointer;
    align-items: center;
    border: 0;
    background: transparent;
    outline: none;
    padding: 0 8px;
    width: 2.8em;
}

.search-button {
    border: none;
    background: none;
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    cursor: pointer;
    outline: none;
    background: var(--color-secundario);
    border-radius: 0 var(--border-radius) var(--border-radius) 0;
    padding: 10px;
}


@keyframes pulse {
    0% {
        transform: scale(1) rotate(0deg);
        opacity: 1;
    }
    50% {
        transform: scale(1.1) rotate(180deg);
        opacity: 0.7;
    }
    100% {
        transform: scale(1) rotate(360deg);
        opacity: 1;
    }
}


/* .search-icon.pulsing {
    animation: pulse 1.5s infinite;
} */


.status-success {
    color: var(--color-exito); /* Color de éxito */
}

.status-pending {
    color: var(--color-advertencia); /* Color de advertencia */
}

.status-rejected {
    color: var(--color-error); /* Color de peligro */
}

.status-use {
    font-weight: bold;
    color: #007bff;
}

.btn-success{
    background-color: var(--color-exito)!important;
    border-color: var(--color-exito)!important;
}

.btn-danger{
    background-color: var(--color-error)!important;
    border-color: var(--color-error)!important;
}
.btn-primary{
    background-color: var(--color-btnPrimary)!important;
    border-color: var(--color-btnPrimary)!important;
    color: var(--color-oscuro-5);
}

.table>:not(caption)>*>*{
    text-align: justify!important;
}

.btnsTd{
    display: flex!important;
    justify-content: center;
}

.tableTramites{
    padding: 1rem 2rem;
    background: rgba(255, 255, 255, 0.15);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
}

.page-item.active .page-link{
    background-color: var(--color-principal);
    border-color: var(--color-principal);
}






/* loader */
.preloader-container {
    display: none; /* Ocultar el preloader inicialmente */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7); /* Fondo oscuro semitransparente */
    z-index: 9999;
    justify-content: center;
    align-items: center;
}

.preloader-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
}

@-webkit-keyframes honeycomb {
    0%, 20%, 80%, 100% {
        opacity: 0;
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    30%, 70% {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes honeycomb {
    0%, 20%, 80%, 100% {
        opacity: 0;
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    30%, 70% {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

.honeycomb {
    height: 24px;
    position: relative;
    width: 24px;
}

.honeycomb div {
    -webkit-animation: honeycomb 2.1s infinite backwards;
    animation: honeycomb 2.1s infinite backwards;
    background: var(--color-suave-4);
    height: 12px;
    margin-top: 6px;
    position: absolute;
    width: 24px;
}

.honeycomb div:after, .honeycomb div:before {
    content: '';
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    position: absolute;
    left: 0;
    right: 0;
}

.honeycomb div:after {
    top: -6px;
    border-bottom: 6px solid var(--color-suave-4);
}

.honeycomb div:before {
    bottom: -6px;
    border-top: 6px solid var(--color-suave-4);
}

.honeycomb div:nth-child(1) {
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
    left: -28px;
    top: 0;
}

.honeycomb div:nth-child(2) {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
    left: -14px;
    top: 22px;
}

.honeycomb div:nth-child(3) {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
    left: 14px;
    top: 22px;
}

.honeycomb div:nth-child(4) {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
    left: 28px;
    top: 0;
}

.honeycomb div:nth-child(5) {
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s;
    left: 14px;
    top: -22px;
}

.honeycomb div:nth-child(6) {
    -webkit-animation-delay: 0.5s;
    animation-delay: 0.5s;
    left: -14px;
    top: -22px;
}

.honeycomb div:nth-child(7) {
    -webkit-animation-delay: 0.6s;
    animation-delay: 0.6s;
    left: 0;
    top: 0;
}


.form-group {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: start;
}
label {
    font-weight: bold;
    display: flex;
    align-items: center;
}
input.form-control {
    width: 100%;
    max-width: 400px; /* Ajusta el tamaño según sea necesario */
}
.tooltip-icon {
    margin-left: 5px;
    cursor: pointer;
    position: relative;
    display: inline-block;
}
.tooltip-icon:hover::after,
.tooltip-icon:focus::after {
    content: attr(data-tooltip);
    position: absolute;
    display: flex;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    background: var(--color-principal);
    color: #fff;
    padding: 5px;
    border-radius: 5px;
    white-space: nowrap;
    z-index: 10;
}

.swal2-confirm{
    background-color: var(--color-principal)!important;
}